# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

from distutils.core import setup
import py2exe
import os, shutil

dist_dir = "servscribe"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "dist_dir": dist_dir,
                   "packages":["encodings",],
                   "optimize":2,
                   "includes": "win32serviceutil",
}}

setup(name="servscribe",
      options=opts,
      version="1.0",
      description="Client Scribe",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      service = [{'modules': 'servscribe',
                  'icon_resources': [(1, 'eole.ico')]
                }],
      windows = [{'script': 'logon.py',
                  'icon_resources': [(1, 'eole.ico')]
                },
                {'script': 'utilisateur.py',
                  'icon_resources': [(1, 'eole.ico')]
                }],
      data_files=[('', ['gdiplus.dll', 'MSVCP71.dll'])]
      )


